.panel.panel-default{"ng-controller" => "IrrigationCtrl"}
  .panel-heading{ :style => "border-bottom:1px solid #f0f0f0"}
    %h4.text-primary Source of Irrigation & Water Quality
  .panel-body
    .table-responsive
      %table.table
        %thead
          %tr
            %th{:rowspan => "3"} Source of Irrigation
            %th{:rowspan => "3"} Defunct (No.)
            %th{:rowspan => "3"} Working (No.)
            %th{:rowspan => "3"} Water Depth (Feet)
            %th{:rowspan => "3"} Yield (Gallons/hr)
            %th{:colspan => "4",:style => "text-align:center;"} Area Irrigated (Acres)
            %th{:rowspan => "3"} Water Quality
          %tr
            %th{:colspan => "3",:style => "text-align:center;"} Agriculture/Horticulture
            %th{:rowspan => "2"} Perennial Crops
          %tr
            %th Kharif
            %th Rabi
            %th Summer
      
        %tbody
          %tr{ "ng-repeat" => "irrigation in data_list "}
            %td {{ irrigation.source_of_irrigation }}
            %td {{ irrigation.defunct}}
            %td {{ irrigation.working }}
            %td {{ irrigation.water_depth }}
            %td {{ irrigation.yield }}
            %td {{ irrigation.kharif }}
            %td {{ irrigation.rabi }}
            %td {{ irrigation.summer }}
            %td {{ irrigation.perennial_cops }}
            %td {{ irrigation.water_quality }}
            %td
              %a{ "ng-click" => "edit(irrigation.id);" } 
                %i.fa.fa-pencil{"aria-hidden"=>"true", :style=>"color:#D0D0D0"}
            %td
              %a{ "ng-click" => "delete(irrigation.id, irrigation.url);" }     
                %i.fa.fa-trash-o.fa-fw{"aria-hidden"=>"true", :style=>"color:#D0D0D0"}
          %tr#form_irrigation
            %td
              = select_tag :source_of_irrigation, options_for_select(["Open Well","Bore Well", "Canal", "Tank"]), :prompt => "Select",:class => "form-control", "ng-model" => "vm.source_of_irrigation"
            %td
              = number_field :defunct, '', :class => "form-control", "ng-model" => "vm.defunct"
            %td
              = number_field :working, '', :class => "form-control", "ng-model" => "vm.working"
            %td
              = number_field :water_depth, '', :class => "form-control", "ng-model" => "vm.water_depth"
            %td
              = number_field :yield, '', :class => "form-control", "ng-model" => "vm.yield"
            %td
              = number_field :kharif, '', :class => "form-control", "ng-model" => "vm.kharif"  
            %td
              = number_field :rabi, '', :class => "form-control", "ng-model" => "vm.rabi"
            %td
              = number_field :summer, '', :class => "form-control", "ng-model" => "vm.summer"
            %td
              = number_field :perennial_cops, '', :class => "form-control", "ng-model" => "vm.perennial_cops"
            %td
              = select_tag :water_quality, options_for_select(["Salt", "Sweet"]), :prompt => "Select",:class => "form-control", "ng-model" => "vm.water_quality"
  .panel-footer
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_add", "ng-click" => "submit()"} Add  
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_update", "ng-click" => "update()"} Update  
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_cancel", "ng-click" => "cancel()"} Cancel 
    %button{:class => "btn btn-primary btn-sm pull-right", "ng-click" => "next()"}
      %i.fa.fa-chevron-right{"aria-hidden"=>"true", :style=>"color:#FFF"}
    %button{:class => "btn btn-primary btn-sm pull-right", "ng-click" => "prev()", :style => "margin-right:5px"} 
      %i.fa.fa-chevron-left{"aria-hidden"=>"true", :style=>"color:#FFF"} 

